Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.outbound
Interface SNAOutboundConfiguration

    public interface SNAOutboundConfiguration

The configuration object for outbound SNALU62 application. For more description of each method, please see the corresponding online help on the eWay configuration editor GUI.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/12/12 00:11:33 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Nested Class Summary
`static interface` | `SNAOutboundConfiguration.SNAOutboundConnectionEstablish` The configuration object for outbound ConnectionEstablish section.
`static interface` | `SNAOutboundConfiguration.SNAOutboundGeneralSettings` The configuration object for outbound GeneralSettings section.
`static interface` | `SNAOutboundConfiguration.SNAOutboundSettings` The configuration object for outbound SNASettings section.

Field Summary
`static java.lang.String` | `version`

Method Summary
`SNAOutboundConfiguration.SNAOutboundConnectionEstablish` | `getConnectionEstablishment()` Gets SNAOutboundConnectionEstablish object
`SNAOutboundConfiguration.SNAOutboundGeneralSettings` | `getGeneralSettings()` Gets SNAOutboundGeneralSettings object
`SNAOutboundConfiguration.SNAOutboundSettings` | `getSNASettings()` Gets SNAOutboundSettings object
`void` | `validate()` Validates the outbound configuration

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getGeneralSettings

    SNAOutboundConfiguration.SNAOutboundGeneralSettings getGeneralSettings()

  Gets SNAOutboundGeneralSettings object

  Returns:
    SNAOutboundGeneralSettings object

### getSNASettings

    SNAOutboundConfiguration.SNAOutboundSettings getSNASettings()

  Gets SNAOutboundSettings object

  Returns:
    SNAOutboundSettings object

### getConnectionEstablishment

    SNAOutboundConfiguration.SNAOutboundConnectionEstablish getConnectionEstablishment()

  Gets SNAOutboundConnectionEstablish object

  Returns:
    SNAOutboundConnectionEstablish object

### validate

    void validate()
                  throws SNAApplicationException

  Validates the outbound configuration

  Throws:
    `SNAApplicationException` - up on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.